# Gimp.RunFunc

    @accepts(Gimp.Procedure, Gimp.ProcedureConfig, gpointer)
    @returns(Gimp.ValueArray)
    def on_RunFunc(procedure, config, run_data):

The run function is run during the lifetime of the GIMP session, each time a plug-in procedure is called.

Since 3.0

procedure

  the Gimp.Procedure that runs.

config

  the procedure's arguments in a config object.

run_data

  the run_data given in Gimp.Procedure.new.

Returns

  the procedure's return values.